import unittest

import xhiveframework

import xhiveerp


@xhiveerp.allow_regional
def test_method():
	return "original"


class TestInit(unittest.TestCase):
	def test_regional_overrides(self):
		xhiveframework.flags.country = "Maldives"
		self.assertEqual(test_method(), "original")

		xhiveframework.flags.country = "France"
		self.assertEqual(test_method(), "overridden")
